aboutsummaryrefslogtreecommitdiff
path: root/sbopkglint.d
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-07 02:23:14 -0400
committerB. Watson <yalhcru@gmail.com>2022-04-07 02:23:14 -0400
commita5cdc24d521c47ea0e4eaf36868c05aa7d62a67b (patch)
treed1a41bb818afcc555bdb135e3671a92ac6191d4f /sbopkglint.d
parentc1e2772c4ef1c4ce59c9ca71f3818feb9458e9dc (diff)
downloadsbo-maintainer-tools-a5cdc24d521c47ea0e4eaf36868c05aa7d62a67b.tar.gz
update docs, add -s option
Diffstat (limited to 'sbopkglint.d')
-rw-r--r--sbopkglint.d/05-basic-sanity.t.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/sbopkglint.d/05-basic-sanity.t.sh b/sbopkglint.d/05-basic-sanity.t.sh
index c0eb9b7..562dbc5 100644
--- a/sbopkglint.d/05-basic-sanity.t.sh
+++ b/sbopkglint.d/05-basic-sanity.t.sh
@@ -45,7 +45,7 @@ nofiledirs="usr usr/doc usr/share usr/man usr/doc/HTML"
# files +x.
noexecdirs="usr/man usr/share/pixmaps usr/share/icons usr/share/applications usr/share/appdata usr/share/mime usr/share/mime-info usr/share/glib-2.0 usr/doc/HTML"
-# these files must exist.
+# these files must exist, unless -s option given.
requiredfiles="usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild"
# these files must not exist.
@@ -132,9 +132,11 @@ for i in $nofiledirs; do
[ -n "$badstuff" ] && warn "$i should only contain directories, not:" && ls -ld $badstuff
done
-for i in $requiredfiles; do
- [ -f "$i" ] || warn "missing required file: $i"
-done
+if [ -z "$SLACKBUILD_MISSING_OK" ]; then
+ for i in $requiredfiles; do
+ [ -f "$i" ] || warn "missing required file: $i"
+ done
+fi
for i in $noexecdirs; do
[ -d "$i" ] || continue